LimeSurvey issue tracker
Registration

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
08351Feature requests[All Projects] Accessibilitypublic2013-11-08 11:452014-05-03 21:33
Reporteraukevann 
Assigned ToDenisChenu 
PrioritynormalSeverityfeature 
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version2.06 
Summary08351: Add option to public registration page that allows resending of already registered user's login details
DescriptionIf a user has already registered with the survey and used the registration page to register again they receive an error message, indicating that their email address is already registered (implying that they have already received an email with a personal login link).
In daily use of the system users frequently loose the mail with the personal login details and there is no way for them to get hold of this information again, the administrator has to resent these details. That is an unnecessary administration burden.
I request that the registration page is change in the following way:
Case 1: user enters e-mail and name, the e-mail address is new to the system and the system behaves in the way it does now, sending a mail with a personal link to login to the survey.
Case 2 NEW: The e-mail address that is used is already registered (in the token table) AND the survey is not yet completed. Then the system notifies the user AND resents the mail with login details for the user. Message the system displays is "The email address you entered is already registered with the system. We have resent the email with the link that gives you access to the survey"
Case 3 NEW: The e-mail address that is used is already registered (in the token table) AND the survey is completed. New error message: "The email address you entered is already registered with the system and the survey has been completed".
TagsNo tags attached.
Attached Files

- Relationships
related to 08419new Feature requests 2 event before Survey Start 
related to 08957closedDenisChenu Bug reports Survey not yet started but with token/allow register show in public list but are inaccessible 

-  Notes
User avatar (27440)
aukevann (reporter)
2013-11-27 19:07

Hi Denis,

Can you consider another option / issue with the registration page:
We have multi-language surveys. When a user registers through the registration page the link that is sent in the email contains the language parameter equal to the language of the registration page. However, in the token table the language parameter for that user is left blank.
Sometimes a user registers who is registered though the registration page gets a reminder send by the administrator. The administrator does not know what language the user registered with and the reminder is sent in the default language, sometimes wrongly.
Can the registration page also set the language parameter in the token table?
Regards,
Auke
User avatar (27442)
DenisChenu (developer)
2013-11-28 08:32

Hi aukevann,

For the registration page, i think i put a plugin event or trye to use an existing plugin event.

But i think your system can be in core regitration page.
User avatar (27443)
aukevann (reporter)
2013-11-28 08:52

Hi Denis, I am not sure I understand what you say.
What functionality in the core and what function is a plugin event? How does that work?
Regards,
Auke
User avatar (27460)
DenisChenu (developer)
2013-12-02 08:34

In core:
- Resend reminder if email exist (and is not done)
- Resend confiration if token is closed
- set language of token egual of language set in registering
This can be in core.

But need an plugin event to do "what we want".
User avatar (27465)
aukevann (reporter)
2013-12-02 16:06

Great Denis.
Will this make it into 2.05?
User avatar (27491)
DenisChenu (developer)
2013-12-03 17:31

2.05+ or 2.06
User avatar (28990)
DenisChenu (developer)
2014-02-27 14:35

https://github.com/Shnoulle/LS-replaceRegister [^]
User avatar (29156)
mrli999 (reporter)
2014-03-10 05:41
edited on: 2014-03-10 05:43

Maybe limesurvey can add a register system. Every one register will get his own password.

The the administration can decide whether add this user to central participant DB or not. If the user was added, then he/she can take this survey after login; if not then he/she can't take the survey.

User avatar (29701)
DenisChenu (developer)
2014-04-09 11:28

@mrli999 : think this system must be in a plugin. Maybe need more plugin event. I start by adding some (1 before and one after) in register.
User avatar (29713)
DenisChenu (developer)
2014-04-11 10:05

...

Have the fix, but need to be more 2.1 compatible ...

Or fix 2.1 too ...
User avatar (29714)
aukevann (reporter)
2014-04-11 11:23

Registration with a password makes things more complex. The charm of LimeSurvey is that with the token it is secure and makes it really ease to use
User avatar (29717)
mrli999 (reporter)
2014-04-11 15:37

Maybe the registration is a little complex, but it is very useful.Especially when the limesurvey will be used for longitudinal surveys.

You can use both token and USERID. When some body want to take a survey, either he has token or he login with his ursename and password.
User avatar (29718)
DenisChenu (developer)
2014-04-11 15:44

@mrli999 : the idea here is to add some plugin event before token Page or before regsiter Page.

Adding the core 'register page' in plugin.

AFter you can work on a plugin for another system.

Denis
User avatar (29740)
DenisChenu (developer)
2014-04-14 15:14

http://manual.limesurvey.org/beforeRegisterForm [^]
http://manual.limesurvey.org/beforeRegister [^]

- Related Changesets
LimeSurvey: 2.06 49f27439
Timestamp: 2014-04-14 12:54:05
Author: DenisChenu
Committer: Denis Chenu
Details ] Diff ]
New feature 08351: Public registration page resending of already registered user's login details
Dev: adding beforeRegister event and beforeRegisterForm event
Dev: use beforeTokenEmail / type:register
mod - application/controllers/RegisterController.php Diff ] File ]
mod - application/helpers/frontend_helper.php Diff ] File ]
mod - application/helpers/replacements_helper.php Diff ] File ]
add - application/views/register/display.php Diff ] File ]
add - application/views/register/registerForm.php Diff ] File ]
LimeSurvey: 2.06 481e493a
Timestamp: 2014-04-15 12:05:36
Author: DenisChenu
Committer: Denis Chenu
Details ] Diff ]
Dev: register controller use own view
Dev: change lang in regisyer controller don't loose actual value
Dev: Replace some event return for beforeRegister
Dev: code review
mod - application/controllers/RegisterController.php Diff ] File ]
mod - application/views/register/display.php Diff ] File ]
mod - application/views/register/registerForm.php Diff ] File ]

Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: DenisChenu, aukevann, mrli999
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2013-11-08 11:45 aukevann New Issue
2013-11-08 13:26 DenisChenu Assigned To => DenisChenu
2013-11-08 13:26 DenisChenu Status new => assigned
2013-11-27 19:07 aukevann Note Added: 27440
2013-11-28 08:32 DenisChenu Note Added: 27442
2013-11-28 08:52 aukevann Note Added: 27443
2013-12-02 08:34 DenisChenu Note Added: 27460
2013-12-02 09:02 DenisChenu Relationship added related to 08419
2013-12-02 16:06 aukevann Note Added: 27465
2013-12-03 17:31 DenisChenu Note Added: 27491
2014-02-27 14:35 DenisChenu Note Added: 28990
2014-03-10 05:41 mrli999 Note Added: 29156
2014-03-10 05:43 mrli999 Note Edited: 29156 View Revisions
2014-04-09 11:28 DenisChenu Note Added: 29701
2014-04-11 10:05 DenisChenu Note Added: 29713
2014-04-11 10:18 DenisChenu Relationship added related to 08957
2014-04-11 11:23 aukevann Note Added: 29714
2014-04-11 15:37 mrli999 Note Added: 29717
2014-04-11 15:44 DenisChenu Note Added: 29718
2014-04-14 14:56 DenisChenu Changeset attached => LimeSurvey 2.06 49f27439
2014-04-14 15:14 DenisChenu Note Added: 29740
2014-04-14 15:14 DenisChenu Status assigned => resolved
2014-04-14 15:14 DenisChenu Fixed in Version => 2.06
2014-04-14 15:14 DenisChenu Resolution open => fixed
2014-04-15 10:25 DenisChenu Status resolved => feedback
2014-04-15 10:25 DenisChenu Resolution fixed => reopened
2014-04-15 14:40 DenisChenu Changeset attached => LimeSurvey 2.06 481e493a
2014-04-15 14:40 DenisChenu Status feedback => resolved
2014-04-15 14:40 DenisChenu Resolution reopened => fixed
2014-05-03 21:33 c_schmitz Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker